Page MenuHomePhabricator

Investigate & fix very odd RecentChanges time limit on wikibase-registry
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 12:46 PM
thiemowmde triaged this task as Lowest priority.May 9 2018, 1:07 PM
thiemowmde added a subscriber: thiemowmde.

Fascinating. I dug in the code and think I found it. The line of code to blame is https://phabricator.wikimedia.org/source/mediawiki/browse/master/includes/specialpage/ChangesListSpecialPage.php;062d935971a96b788953448fc2b150056a41924e$1325. On this server, $wgRCMaxAge is set to 1000, which limits the days you can ask for to values between 0 and 1000 seconds. The default is 1 day, but this is truncated to 1000 seconds. This is added as a new value to the list of possible values.

It would be possible to add a min( 1, … ) to the line of code I pointed to, and to remove values that are larger from the list. But to be honest I don't think it's worth it fiddling with this code.

Apparently I wasn’t subscribed to this task, so I just had a huge revelation when looking at the LocalSettings.php (“no, wait, is that it? really?”) and then I saw that @thiemowmde already came to the same conclusion a week ago :D

But yeah, @Addshore why are we even tweaking wgRCMaxAge at all? Shouldn’t we just leave it at its default value? (This commit unfortunately doesn’t provide much information.)

Mentioned in SAL (#wikimedia-cloud) [2018-05-15T15:41:22Z] <Lucas_WMDE> sed -i '/wgRCMaxAge/ { s/^/# /; s/$/ # temporarily removed by Lucas, see T193021/; }' LocalSettings.php

I’ve temporarily commented the line, and now RecentChanges and Watchlist look normal. But that doesn’t solve the problem for all the other containers we created with this configuration.

just need the wikibase-registry itself to be updated now

Addshore closed this task as Resolved.May 30 2018, 5:48 PM
Addshore claimed this task.

Updated the wikibase-registry to newer images and also to set this setting itself in its own local LocalSettings.php

Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 30 2018, 5:48 PM
Vvjjkkii renamed this task from Investigate & fix very odd RecentChanges time limit on wikibase-registry to m9daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Addshore as the assignee of this task.
Vvjjkkii raised the priority of this task from Lowest to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
AfroThundr3007730 renamed this task from m9daaaaaaa to Investigate & fix very odd RecentChanges time limit on wikibase-registry.Jul 1 2018, 6:06 AM
AfroThundr3007730 closed this task as Resolved.
AfroThundr3007730 assigned this task to Addshore.
AfroThundr3007730 lowered the priority of this task from High to Lowest.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added a subscriber: Aklapper.